Compare commits

..

1 Commits

Author SHA1 Message Date
Taiki Endo
eab2c9a639 dev
TODO:

```
/__w/install-action/install-action/.//main.sh: line 81: syntax error: unexpected "(" (expecting "}")
```
2026-02-14 19:24:16 +09:00
17 changed files with 83 additions and 406 deletions

View File

@@ -2,6 +2,7 @@ almalinux
archlinux
binstall
callgrind
Ceuo
coreutils
cyclonedx
cygdrive
@@ -13,7 +14,6 @@ epel
espup
fastestmirror
grcov
gungraun
insta
knope
libicu

View File

@@ -10,6 +10,7 @@ on:
- main
- dev
- ci-*
- busybox
schedule:
- cron: '0 0 * * *'
workflow_dispatch:
@@ -230,18 +231,18 @@ jobs:
- centos:7 # glibc 2.17
- opensuse/leap:latest # glibc 2.38 (as of leap 15.6)
- opensuse/tumbleweed:latest # glibc 2.39 (as of 2024-07-19)
# - archlinux:latest # glibc 2.39 (as of 2024-07-19)
- alpine:3.2 # musl 1.1.11
- alpine:3.14 # musl 1.2.2
- alpine:3.15 # musl 1.2.2
- alpine:3.16 # musl 1.2.3
- alpine:3.17 # musl 1.2.3
- alpine:3.18 # musl 1.2.4
- alpine:3.19 # musl 1.2.4
- alpine:3.20 # musl 1.2.5
- alpine:3.21 # musl 1.2.5
- alpine:3.22 # musl 1.2.5
- alpine:3.23 # musl 1.2.5
- archlinux:latest # glibc 2.39 (as of 2024-07-19)
- alpine:3.2 # musl 1.1.11, busybox 1.23.2
- alpine:3.14 # musl 1.2.2, busybox 1.33.1
- alpine:3.15 # musl 1.2.2, busybox 1.34.1
- alpine:3.16 # musl 1.2.3, busybox 1.35.0
- alpine:3.17 # musl 1.2.3, busybox 1.35.0
- alpine:3.18 # musl 1.2.4, busybox 1.36.1
- alpine:3.19 # musl 1.2.4, busybox 1.36.1
- alpine:3.20 # musl 1.2.5, busybox 1.36.1
- alpine:3.21 # musl 1.2.5, busybox 1.37.0
- alpine:3.22 # musl 1.2.5, busybox 1.37.0
- alpine:3.23 # musl 1.2.5, busybox 1.37.0
# - openwrt/rootfs:x86-64-openwrt-24.10 # musl 1.2.5
runs-on: ubuntu-latest
timeout-minutes: 60
@@ -292,6 +293,9 @@ jobs:
tool: ${{ steps.tool-list.outputs.tool }}
env:
GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
- run: apk --no-cache add bash
shell: sh
if: startsWith(matrix.container, 'alpine')
- name: Test bash
run: just --version && shfmt --version
shell: bash

View File

@@ -10,24 +10,6 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.68.0] - 2026-02-16
- Support `gungraun-runner`. ([#1520](https://github.com/taiki-e/install-action/pull/1520), thanks @gamma0987)
- Update `uv@latest` to 0.10.3.
- Update `typos@latest` to 1.43.5.
- Update `tombi@latest` to 0.7.29.
- Update `release-plz@latest` to 0.3.156.
- Update `cargo-lambda@latest` to 1.9.0.
- Update `prek@latest` to 0.3.3.
- Update `mise@latest` to 2026.2.13.
## [2.67.30] - 2026-02-13
- Update `cargo-nextest@latest` to 0.9.127.
@@ -5665,8 +5647,7 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.68.0...HEAD
[2.68.0]: https://github.com/taiki-e/install-action/compare/v2.67.30...v2.68.0
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.67.30...HEAD
[2.67.30]: https://github.com/taiki-e/install-action/compare/v2.67.29...v2.67.30
[2.67.29]: https://github.com/taiki-e/install-action/compare/v2.67.28...v2.67.29
[2.67.28]: https://github.com/taiki-e/install-action/compare/v2.67.27...v2.67.28

View File

@@ -118,7 +118,7 @@ On Linux, if any required tools are missing, this action will attempt to install
On other platforms, at least the following tools are required:
- bash 3.2+
- bash 3.2+ (or busybox on Linux)
- jq 1.3+ (only on non-Windows platforms)
- curl 7.34+ (or RHEL7/CentOS7's patched curl 7.29)

View File

@@ -53,9 +53,8 @@ See the [Supported tools section in README.md](README.md#supported-tools) for ho
| [**espup**](https://github.com/esp-rs/espup) | `$CARGO_HOME/bin` | [GitHub Releases](https://github.com/esp-rs/espup/releases) | Linux, macOS, Windows | [MIT](https://github.com/esp-rs/espup/blob/main/LICENSE-MIT) OR [Apache-2.0](https://github.com/esp-rs/espup/blob/main/LICENSE-APACHE) |
| [**git-cliff**](https://github.com/orhun/git-cliff) | `$CARGO_HOME/bin` | [GitHub Releases](https://github.com/orhun/git-cliff/releases) | Linux, macOS, Windows | [MIT](https://github.com/orhun/git-cliff/blob/main/LICENSE-MIT) OR [Apache-2.0](https://github.com/orhun/git-cliff/blob/main/LICENSE-APACHE) |
| [**grcov**](https://github.com/mozilla/grcov) | `$CARGO_HOME/bin` | [GitHub Releases](https://github.com/mozilla/grcov/releases) | Linux, macOS, Windows | [MPL-2.0](https://github.com/mozilla/grcov/blob/HEAD/LICENSE-MPL-2.0) |
| [**gungraun-runner**](https://gungraun.github.io/gungraun/) | `$CARGO_HOME/bin` | [GitHub Releases](https://github.com/gungraun/gungraun/releases) | Linux | [Apache-2.0](https://github.com/gungraun/gungraun/blob/main/LICENSE-APACHE) OR [MIT](https://github.com/gungraun/gungraun/blob/main/LICENSE-MIT) |
| [**hyperfine**](https://github.com/sharkdp/hyperfine) | `$CARGO_HOME/bin` | [GitHub Releases](https://github.com/sharkdp/hyperfine/releases) | Linux, macOS, Windows | [MIT](https://github.com/sharkdp/hyperfine/blob/master/LICENSE-MIT) OR [Apache-2.0](https://github.com/sharkdp/hyperfine/blob/master/LICENSE-APACHE) |
| [**iai-callgrind-runner**](https://gungraun.github.io/gungraun/) | `$CARGO_HOME/bin` | [GitHub Releases](https://github.com/iai-callgrind/iai-callgrind/releases) | Linux | [Apache-2.0](https://github.com/iai-callgrind/iai-callgrind/blob/main/LICENSE-APACHE) OR [MIT](https://github.com/iai-callgrind/iai-callgrind/blob/main/LICENSE-MIT) |
| [**iai-callgrind-runner**](https://iai-callgrind.github.io/iai-callgrind/) | `$CARGO_HOME/bin` | [GitHub Releases](https://github.com/iai-callgrind/iai-callgrind/releases) | Linux | [Apache-2.0](https://github.com/iai-callgrind/iai-callgrind/blob/main/LICENSE-APACHE) OR [MIT](https://github.com/iai-callgrind/iai-callgrind/blob/main/LICENSE-MIT) |
| [**jaq**](https://github.com/01mf02/jaq) | `$CARGO_HOME/bin` | [GitHub Releases](https://github.com/01mf02/jaq/releases) | Linux, macOS, Windows | [MIT](https://github.com/01mf02/jaq/blob/main/LICENSE-MIT) |
| [**just**](https://github.com/casey/just) | `$CARGO_HOME/bin` | [GitHub Releases](https://github.com/casey/just/releases) | Linux, macOS, Windows | [CC0-1.0](https://github.com/casey/just/blob/master/LICENSE) |
| [**knope**](https://github.com/knope-dev/knope) | `$CARGO_HOME/bin` | [GitHub Releases](https://github.com/knope-dev/knope/releases) | Linux, macOS, Windows | [MIT](https://github.com/knope-dev/knope/blob/main/LICENSE) |

View File

@@ -21,32 +21,32 @@ inputs:
runs:
using: composite
steps:
- run: |
- name: Prepare
id: prepare
run: |
set -eu
if ! command -v bash >/dev/null; then
if grep -Eq '^ID=alpine' /etc/os-release; then
printf '::group::Install packages required for install-action (bash)\n'
# NB: sync with apk_install in main.sh
if command -v sudo >/dev/null; then
sudo apk --no-cache add bash
elif command -v doas >/dev/null; then
doas apk --no-cache add bash
else
apk --no-cache add bash
if command -v busybox >/dev/null; then
if test -n "${GITHUB_OUTPUT:-}"; then
printf 'shell=busybox sh -e {0}\n' >>"${GITHUB_OUTPUT}"
exit
fi
printf '::endgroup::\n'
else
printf '::error::install-action requires bash\n'
exit 1
fi
printf '::error::install-action requires bash or busybox\n'
exit 1
fi
shell: sh
if: runner.os == 'Linux'
- run: bash --noprofile --norc "${GITHUB_ACTION_PATH:?}/main.sh"
shell: bash
- run: |
case "${CURRENT_SHELL}" in
busybox*) busybox sh "${GITHUB_ACTION_PATH:?}/main.sh" ;;
*) bash --noprofile --norc "${GITHUB_ACTION_PATH:?}/main.sh" ;;
esac
shell: ${{ steps.prepare.outputs.shell || 'bash' }}
env:
INPUT_TOOL: ${{ inputs.tool }}
INPUT_CHECKSUM: ${{ inputs.checksum }}
INPUT_FALLBACK: ${{ inputs.fallback }}
DEFAULT_GITHUB_TOKEN: ${{ github.token }}
ACTION_USER_AGENT: ${{ github.action_repository }} (${{ github.action_ref }})
CURRENT_SHELL: ${{ steps.prepare.outputs.shell }}

60
main.sh
View File

@@ -1,6 +1,7 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -CeEuo pipefail
# Do not set -E as busybox 3.15 and older don't support it.
set -Ceuo pipefail
IFS=$'\n\t'
rx() {
@@ -35,11 +36,11 @@ normalize_comma_or_space_separated() {
if [[ "${list}" == *","* ]]; then
# If a comma is contained, consider it is a comma-separated list.
# Drop leading and trailing whitespaces in each element.
sed -E 's/ *, */,/g; s/^.//' <<<",${list},"
printf '%s\n' ",${list}," | sed -E 's/ *, */,/g; s/^.//'
else
# Otherwise, consider it is a whitespace-separated list.
# Convert whitespace characters into comma.
sed -E 's/ +/,/g; s/^.//' <<<" ${list} "
printf '%s\n' " ${list} " | sed -E 's/ +/,/g; s/^.//'
fi
}
_sudo() {
@@ -60,11 +61,11 @@ download_and_checksum() {
if [[ -n "${checksum}" ]]; then
info "verifying sha256 checksum for $(basename -- "${url}")"
if type -P sha256sum >/dev/null; then
sha256sum -c - >/dev/null <<<"${checksum} *tmp"
printf '%s\n' "${checksum} *tmp" | sha256sum -c - >/dev/null
elif type -P shasum >/dev/null; then
# GitHub-hosted macOS runner does not install GNU Coreutils by default.
# https://github.com/actions/runner-images/issues/90
shasum -a 256 -c - >/dev/null <<<"${checksum} *tmp"
printf '%s\n' "${checksum} *tmp" | shasum -a 256 -c - >/dev/null
else
bail "checksum requires 'sha256sum' or 'shasum' command; consider installing one of them or setting 'checksum' input option to 'false'"
fi
@@ -224,7 +225,7 @@ read_manifest() {
download_info="null"
return 0
fi
exact_version=$(jq -r '.version' <<<"${manifest}")
exact_version=$(printf '%s\n' "${manifest}" | jq -r '.version')
if [[ "${exact_version}" == "null" ]]; then
exact_version="${version}"
else
@@ -236,11 +237,11 @@ read_manifest() {
crate_info=$(curl -v --user-agent "${ACTION_USER_AGENT}" --proto '=https' --tlsv1.2 -fsSL --retry 10 "https://crates.io/api/v1/crates/${rust_crate}" || true)
if [[ -n "${crate_info}" ]]; then
while true; do
yanked=$(jq -r ".versions[] | select(.num == \"${exact_version}\") | .yanked" <<<"${crate_info}")
yanked=$(printf '%s\n' "${crate_info}" | jq -r ".versions[] | select(.num == \"${exact_version}\") | .yanked")
if [[ "${yanked}" != "true" ]]; then
break
fi
previous_stable_version=$(jq -r '.previous_stable_version' <<<"${manifest}")
previous_stable_version=$(printf '%s\n' "${manifest}" | jq -r '.previous_stable_version')
if [[ "${previous_stable_version}" == "null" ]]; then
break
fi
@@ -260,26 +261,26 @@ read_manifest() {
# usually preferred over linux-gnu binaries because they can avoid glibc version issues.
# (rustc enables statically linking for linux-musl by default, except for mips.)
host_platform="${host_arch}_linux_musl"
download_info=$(jq -r ".${host_platform}" <<<"${manifest}")
download_info=$(printf '%s\n' "${manifest}" | jq -r ".${host_platform}")
if [[ "${download_info}" == "null" ]]; then
# Even if host_env is musl, we won't issue an error here because it seems that in
# some cases linux-gnu binaries will work on linux-musl hosts.
# https://wiki.alpinelinux.org/wiki/Running_glibc_programs
# TODO: However, a warning may make sense.
host_platform="${host_arch}_linux_gnu"
download_info=$(jq -r ".${host_platform}" <<<"${manifest}")
download_info=$(printf '%s\n' "${manifest}" | jq -r ".${host_platform}")
elif [[ "${host_env}" == "gnu" ]]; then
# TODO: don't hardcode tool name and use 'prefer_linux_gnu' field in base manifest.
case "${tool}" in
cargo-nextest)
# TODO: don't hardcode required glibc version
required_glibc_version=2.27
higher_glibc_version=$(LC_ALL=C sort -Vu <<<"${required_glibc_version}"$'\n'"${host_glibc_version}" | tail -1)
higher_glibc_version=$(printf '%s\n%s\n' "${required_glibc_version}" "${host_glibc_version}" | LC_ALL=C sort -Vu | tail -1)
if [[ "${higher_glibc_version}" == "${host_glibc_version}" ]]; then
# musl build of nextest is slow, so use glibc build if host_env is gnu.
# https://github.com/taiki-e/install-action/issues/13
host_platform="${host_arch}_linux_gnu"
download_info=$(jq -r ".${host_platform}" <<<"${manifest}")
download_info=$(printf '%s\n' "${manifest}" | jq -r ".${host_platform}")
fi
;;
esac
@@ -289,10 +290,10 @@ read_manifest() {
# Binaries compiled for x86_64 macOS will usually also work on AArch64 macOS.
# Binaries compiled for x86_64 Windows will usually also work on AArch64 Windows 11+.
host_platform="${host_arch}_${host_os}"
download_info=$(jq -r ".${host_platform}" <<<"${manifest}")
download_info=$(printf '%s\n' "${manifest}" | jq -r ".${host_platform}")
if [[ "${download_info}" == "null" ]] && [[ "${host_arch}" != "x86_64" ]]; then
host_platform="x86_64_${host_os}"
download_info=$(jq -r ".${host_platform}" <<<"${manifest}")
download_info=$(printf '%s\n' "${manifest}" | jq -r ".${host_platform}")
fi
;;
*) bail "unsupported OS type '${host_os}' for ${tool}" ;;
@@ -304,25 +305,25 @@ read_download_info() {
if [[ "${download_info}" == "null" ]]; then
bail "${tool}@${version} for '${host_os}' is not supported"
fi
checksum=$(jq -r '.checksum' <<<"${download_info}")
url=$(jq -r '.url' <<<"${download_info}")
checksum=$(printf '%s\n' "${download_info}" | jq -r '.checksum')
url=$(printf '%s\n' "${download_info}" | jq -r '.url')
local tmp
bin_in_archive=()
if [[ "${url}" == "null" ]]; then
local template
template=$(jq -c ".template.${host_platform}" "${manifest_dir}/${tool}.json")
template="${template//\$\{version\}/${exact_version}}"
url=$(jq -r '.url' <<<"${template}")
tmp=$(jq -r '.bin' <<<"${template}")
url=$(printf '%s\n' "${template}" | jq -r '.url')
tmp=$(printf '%s\n' "${template}" | jq -r '.bin')
if [[ "${tmp}" == *"["* ]]; then
# shellcheck disable=SC2207
bin_in_archive=($(jq -r '.bin[]' <<<"${template}"))
bin_in_archive=($(printf '%s\n' "${template}" | jq -r '.bin[]'))
fi
else
tmp=$(jq -r '.bin' <<<"${download_info}")
tmp=$(printf '%s\n' "${download_info}" | jq -r '.bin')
if [[ "${tmp}" == *"["* ]]; then
# shellcheck disable=SC2207
bin_in_archive=($(jq -r '.bin[]' <<<"${download_info}"))
bin_in_archive=($(printf '%s\n' "${download_info}" | jq -r '.bin[]'))
fi
fi
if [[ ${#bin_in_archive[@]} -eq 0 ]]; then
@@ -431,7 +432,7 @@ init_install_action_bin_dir() {
}
canonicalize_windows_path() {
case "${host_os}" in
windows) sed -E 's/^\/cygdrive\//\//; s/^\/c\//C:\\/; s/\//\\/g' <<<"$1" ;;
windows) printf '%s\n' "$1" | sed -E 's/^\/cygdrive\//\//; s/^\/c\//C:\\/; s/\//\\/g' ;;
*) printf '%s\n' "$1" ;;
esac
}
@@ -483,11 +484,11 @@ case "$(uname -s)" in
Linux)
host_os=linux
ldd_version=$(ldd --version 2>&1 || true)
if grep -Fq musl <<<"${ldd_version}"; then
if printf '%s\n' "${ldd_version}" | grep -Fq musl; then
host_env=musl
else
host_env=gnu
host_glibc_version=$(grep -E "GLIBC|GNU libc" <<<"${ldd_version}" | sed -E "s/.* //g")
host_glibc_version=$(printf '%s\n' "${ldd_version}" | grep -E "GLIBC|GNU libc" | sed -E "s/.* //g")
fi
if [[ -e /etc/os-release ]]; then
if grep -Eq '^ID_LIKE=' /etc/os-release; then
@@ -654,9 +655,9 @@ case "${host_os}" in
jq() { "${install_action_dir}/jq/bin/jq.exe" -b "$@"; }
elif type -P jq >/dev/null; then
# https://github.com/jqlang/jq/issues/1854
_tmp=$(jq -r .a <<<'{}' | wc -c)
_tmp=$(printf '{}\n' | jq -r .a | wc -c)
if [[ "${_tmp}" != 5 ]]; then
_tmp=$({ jq -b -r .a 2>/dev/null <<<'{}' || true; } | wc -c)
_tmp=$({ printf '{}\n' | jq -b -r .a 2>/dev/null || true; } | wc -c)
if [[ "${_tmp}" == 5 ]]; then
jq() { command jq -b "$@"; }
else
@@ -685,8 +686,8 @@ for tool in "${tools[@]}"; do
if [[ "${tool}" == *"@"* ]]; then
version="${tool#*@}"
tool="${tool%@*}"
if [[ ! "${version}" =~ ^([1-9][0-9]*(\.[0-9]+(\.[0-9]+)?)?|0\.[1-9][0-9]*(\.[0-9]+)?|^0\.0\.[0-9]+)(-[0-9A-Za-z\.-]+)?$|^latest$ ]]; then
if [[ ! "${version}" =~ ^([1-9][0-9]*(\.[0-9]+(\.[0-9]+)?)?|0\.[1-9][0-9]*(\.[0-9]+)?|^0\.0\.[0-9]+)(-[0-9A-Za-z\.-]+)?(\+[0-9A-Za-z\.-]+)?$|^latest$ ]]; then
if ! printf '%s\n' "${version}" | grep -Eq '^([1-9][0-9]*(\.[0-9]+(\.[0-9]+)?)?|0\.[1-9][0-9]*(\.[0-9]+)?|^0\.0\.[0-9]+)(-[0-9A-Za-z\.-]+)?$|^latest$'; then
if ! printf '%s\n' "${version}" | grep -Eq '^([1-9][0-9]*(\.[0-9]+(\.[0-9]+)?)?|0\.[1-9][0-9]*(\.[0-9]+)?|^0\.0\.[0-9]+)(-[0-9A-Za-z\.-]+)?(\+[0-9A-Za-z\.-]+)?$|^latest$'; then
bail "install-action does not support semver operators: '${version}'"
fi
bail "install-action v2 does not support semver build-metadata: '${version}'; if you need these supports again, please submit an issue at <https://github.com/taiki-e/install-action>"
@@ -840,8 +841,7 @@ for tool in "${tools[@]}"; do
# biome up to 1.2.2 exits with 1 on both --version and --help flags.
# cargo-machete up to 0.6.0 does not support --version flag.
# wait-for-them up to 0.4.0 does not support --version flag.
# gungraun-runner up to 0.17.1 (exclusive) does not support --version flag.
biome | cargo-machete | wait-for-them | gungraun-runner) rx "${tool_bin_stem}" --version || true ;;
biome | cargo-machete | wait-for-them) rx "${tool_bin_stem}" --version || true ;;
# these packages support neither --version nor --help flag.
cargo-auditable | cargo-careful | wasm-bindgen-test-runner) ;;
# wasm2es6js does not support --version flag and --help flag doesn't contains version info.

View File

@@ -20,35 +20,10 @@
},
"license_markdown": "[MIT](https://github.com/cargo-lambda/cargo-lambda/blob/main/LICENSE)",
"latest": {
"version": "1.9.0"
"version": "1.8.6"
},
"1": {
"version": "1.9.0"
},
"1.9": {
"version": "1.9.0"
},
"1.9.0": {
"x86_64_linux_musl": {
"etag": "0x8DE6CC601BCE7EA",
"checksum": "a7aec9f4f34194bc63ee40aa81bc1889340ba5a51b3f97ca48ab70460dce2a98"
},
"x86_64_macos": {
"etag": "0x8DE6CC6026E598D",
"checksum": "122b9bfb43e28b82e3a6a9b8337551bf95c08c5d13a8e5881c889b1d8d137912"
},
"x86_64_windows": {
"etag": "0x8DE6CC6033F6498",
"checksum": "c997efcc32e237a4d95e318e93500ade18f50e183fbf83682f20f47fcf46768c"
},
"aarch64_linux_musl": {
"etag": "0x8DE6CC60402EA5D",
"checksum": "5fb0876889e9ffce88e6f08eba5eb9c6e9e8cc850f352bf8a391c9bb450f2530"
},
"aarch64_macos": {
"etag": "0x8DE6CC604AD5EEE",
"checksum": "f3fcb0f811b2eb0c3f54b6ec36bdaf936f7822e9b97b1d4350cdb5d84c5730f3"
}
"version": "1.8.6"
},
"1.8": {
"version": "1.8.6"

View File

@@ -1,98 +0,0 @@
{
"rust_crate": "gungraun-runner",
"template": {
"x86_64_linux_musl": {
"url": "https://github.com/gungraun/gungraun/releases/download/v${version}/gungraun-runner-v${version}-x86_64-unknown-linux-musl.tar.gz",
"bin": "gungraun-runner-v${version}-x86_64-unknown-linux-musl/gungraun-runner"
},
"aarch64_linux_gnu": {
"url": "https://github.com/gungraun/gungraun/releases/download/v${version}/gungraun-runner-v${version}-aarch64-unknown-linux-gnu.tar.gz",
"bin": "gungraun-runner-v${version}-aarch64-unknown-linux-gnu/gungraun-runner"
},
"powerpc64le_linux_gnu": {
"url": "https://github.com/gungraun/gungraun/releases/download/v${version}/gungraun-runner-v${version}-powerpc64le-unknown-linux-gnu.tar.gz",
"bin": "gungraun-runner-v${version}-powerpc64le-unknown-linux-gnu/gungraun-runner"
},
"riscv64_linux_gnu": {
"url": "https://github.com/gungraun/gungraun/releases/download/v${version}/gungraun-runner-v${version}-riscv64gc-unknown-linux-gnu.tar.gz",
"bin": "gungraun-runner-v${version}-riscv64gc-unknown-linux-gnu/gungraun-runner"
},
"s390x_linux_gnu": {
"url": "https://github.com/gungraun/gungraun/releases/download/v${version}/gungraun-runner-v${version}-s390x-unknown-linux-gnu.tar.gz",
"bin": "gungraun-runner-v${version}-s390x-unknown-linux-gnu/gungraun-runner"
}
},
"license_markdown": "[Apache-2.0](https://github.com/gungraun/gungraun/blob/main/LICENSE-APACHE) OR [MIT](https://github.com/gungraun/gungraun/blob/main/LICENSE-MIT)",
"latest": {
"version": "0.17.2"
},
"0.17": {
"version": "0.17.2"
},
"0.17.2": {
"x86_64_linux_musl": {
"etag": "0x8DE68853C020A9C",
"checksum": "569b45791e87a157b6a5c248b60c679fc2fe7e0bdb6b4c8101e08ef88b75bbc5"
},
"aarch64_linux_gnu": {
"etag": "0x8DE68856BC32412",
"checksum": "5b59390e72a149230b1f9a8e6fe2f99b0287cd654fda6f97a3117fff26c9c36e"
},
"powerpc64le_linux_gnu": {
"etag": "0x8DE68853B34CC5E",
"checksum": "52b51a07a64065085e5185e972dedbec561bab3b21a1d7caf518e0535d2a0e28"
},
"riscv64_linux_gnu": {
"etag": "0x8DE688536B1739C",
"checksum": "ba8339ccb5dd17d132299b9f92a992673c7aba3df963071e7d5937c1e718781e"
},
"s390x_linux_gnu": {
"etag": "0x8DE68856D0389E2",
"checksum": "09a40672c812c0ceb13bae85c4b00b535bf3804f9f9402ca2df263ea81a66700"
}
},
"0.17.1": {
"x86_64_linux_musl": {
"etag": "0x8DE686AB13208B9",
"checksum": "7ded91ba76e91f1458817672c31a0410c77fb47d6e24a991f5753f09e9ab11f9"
},
"aarch64_linux_gnu": {
"etag": "0x8DE686A71C74ACE",
"checksum": "860e663b4ed4855d9aeaa5604c05d6d4a52e757817e747009738e61359acfdc4"
},
"powerpc64le_linux_gnu": {
"etag": "0x8DE686AB27613FC",
"checksum": "152a201a9dba68f2e3f17d350ee1b7c1224eeaa7011acae3fff42142b89bbf2f"
},
"riscv64_linux_gnu": {
"etag": "0x8DE686A885720ED",
"checksum": "bd947d5bd7f7a11c03c8e867c42b81f642025218cecd4186ea410a5813ff34e6"
},
"s390x_linux_gnu": {
"etag": "0x8DE686A938F793B",
"checksum": "e71989857f9e4adaaaf8de659157c7b192e7ae9e6eed6ce3424aeda0f49f16a0"
}
},
"0.17.0": {
"x86_64_linux_musl": {
"etag": "0x8DDF976E83B1C58",
"checksum": "0c0dc5702ec2319e53c9f58eb1e6f897e42ce44d8877f0b20cecad8f77138c27"
},
"aarch64_linux_gnu": {
"etag": "0x8DDF976AFD74096",
"checksum": "96d1e996d03da4dd4f205d6b6d7901a829e667c1fbd1b50d457ed7985f579bc9"
},
"powerpc64le_linux_gnu": {
"etag": "0x8DDF976E339F8F5",
"checksum": "eca926ef2ed9a861e812ff71eb1f425235a9abe4c790705ef4be13f3265c14cc"
},
"riscv64_linux_gnu": {
"etag": "0x8DDF976AB1DF8DB",
"checksum": "315947fcbb536956e1dc203353eea523f7c306276d95ce52bde6ed0033136631"
},
"s390x_linux_gnu": {
"etag": "0x8DDF976DEB82496",
"checksum": "87e6eeeeaeffc1bcbaad72f4cf45dc70694d9a803acc9d12cc9b54ee8343ae37"
}
}
}

32
manifests/mise.json generated
View File

@@ -28,39 +28,13 @@
},
"license_markdown": "[MIT](https://github.com/jdx/mise/blob/main/LICENSE)",
"latest": {
"version": "2026.2.13"
"version": "2026.2.11"
},
"2026": {
"version": "2026.2.13"
"version": "2026.2.11"
},
"2026.2": {
"version": "2026.2.13"
},
"2026.2.13": {
"x86_64_linux_musl": {
"etag": "0x8DE6C80923A8806",
"checksum": "f037cc6e7cb68244fdf1da0712aea63135b5840194be63e9c94bc1979189d9fa"
},
"x86_64_macos": {
"etag": "0x8DE6C80940B68AB",
"checksum": "3d8912189cc144612cb379f8d98cd3eb41a4c65e58ff7f67bf173a674aa796c3"
},
"x86_64_windows": {
"etag": "0x8DE6C8094B934E7",
"checksum": "de276e2fde67c48d374ffbc373e3b29b07fb0eb0d6ac426aef559704a2b53afc"
},
"aarch64_linux_musl": {
"etag": "0x8DE6C808F74C1EE",
"checksum": "bb6ba7812d9ccbf9a8ed12722f2b961a65a4f18de2844fb6208e449cb24fe98b"
},
"aarch64_macos": {
"etag": "0x8DE6C809373CAC2",
"checksum": "33ee87cda4ca6dcb548f4b6a76ea94fe4df8942cc3b1d40151396c60522e7703"
},
"aarch64_windows": {
"etag": "0x8DE6C8094AFC98B",
"checksum": "72cb3720fb68516ca5f0bee643132ed587e0a043d5eb32b45754b17111b29ec6"
}
"version": "2026.2.11"
},
"2026.2.11": {
"x86_64_linux_musl": {

38
manifests/prek.json generated
View File

@@ -40,44 +40,10 @@
},
"license_markdown": "[MIT](https://github.com/j178/prek/blob/master/LICENSE)",
"latest": {
"version": "0.3.3"
"version": "0.3.2"
},
"0.3": {
"version": "0.3.3"
},
"0.3.3": {
"x86_64_linux_musl": {
"etag": "0x8DE6C970BB39FBD",
"checksum": "4967cead51c26313c9dfdad0d2cdedf52ccbfc3d5ebd5dfd61676c45668f3791"
},
"x86_64_macos": {
"etag": "0x8DE6C970B4F0D5A",
"checksum": "0b65555d2bd2add6b24a1f2be51cfee6d0c837892560baf2c2163bdafafed338"
},
"x86_64_windows": {
"etag": "0x8DE6C970B711519",
"checksum": "c829796e1ddad21e82eef768cee01469880caff7b073a2f1c01073fe075d8ba7"
},
"aarch64_linux_musl": {
"etag": "0x8DE6C970A2B3614",
"checksum": "02628a23f55a88620dcb8ba90987556c7e42ff9f9c7a4359afb1f2ac2884b620"
},
"aarch64_macos": {
"etag": "0x8DE6C9709ED87FF",
"checksum": "12c1e281d4d484eaa6d502804c6a8c77ab06f1fdd22c5fd46c02f87ae5f3c1af"
},
"aarch64_windows": {
"etag": "0x8DE6C9709ED1353",
"checksum": "f7a1611c879e9fb27d01fd1b9eebd469de6204530acb331b5e5b37f5054c2bc8"
},
"riscv64_linux_gnu": {
"etag": "0x8DE6C970B18D0F3",
"checksum": "e99174f923961d55f71599b8cf5f6ab906d70fc48612ec961dec4723aefc6ea7"
},
"s390x_linux_gnu": {
"etag": "0x8DE6C970B3A63FF",
"checksum": "b59802b281be45192ac4ba5fde3f0aaeb3254b88bfb237514b0794eea30ffa95"
}
"version": "0.3.2"
},
"0.3.2": {
"x86_64_linux_musl": {

View File

@@ -22,32 +22,10 @@
},
"license_markdown": "[MIT](https://github.com/release-plz/release-plz/blob/main/LICENSE-MIT) OR [Apache-2.0](https://github.com/release-plz/release-plz/blob/main/LICENSE-APACHE)",
"latest": {
"version": "0.3.156"
"version": "0.3.155"
},
"0.3": {
"version": "0.3.156"
},
"0.3.156": {
"x86_64_linux_musl": {
"etag": "0x8DE6CF1473A5146",
"checksum": "42aa3f4efa186c3b62988432c12dba3b906aac66c4c13c8845a467d3c33d2f80"
},
"x86_64_windows": {
"etag": "0x8DE6CF1CD9471FB",
"checksum": "870eb6cb8d9d109bf3820b6261015416059a082d3d9ba11158da2637695f9782"
},
"aarch64_linux_musl": {
"etag": "0x8DE6CF1537F6996",
"checksum": "7ba501733f2ac66034a92f21c34a13db9a5df697104187ca232a7877089c4bf3"
},
"aarch64_macos": {
"etag": "0x8DE6CF174DDB4DA",
"checksum": "ed34621d9fba47be404c1c45a91b47c6975dbf3be4641b8aa4fe4b45adeb804a"
},
"aarch64_windows": {
"etag": "0x8DE6CF1E3F15B60",
"checksum": "d8d1eaed3745153e4adee03dda9955f05bbc8254671cd3cea7af55125f7f79cf"
}
"version": "0.3.155"
},
"0.3.155": {
"x86_64_linux_musl": {

30
manifests/tombi.json generated
View File

@@ -22,36 +22,10 @@
},
"license_markdown": "[MIT](https://github.com/tombi-toml/tombi/blob/main/LICENSE)",
"latest": {
"version": "0.7.29"
"version": "0.7.28"
},
"0.7": {
"version": "0.7.29"
},
"0.7.29": {
"x86_64_linux_musl": {
"etag": "0x8DE6D5E9F67FC07",
"checksum": "336706008ce04548620c68cfe901e8ececba5020e7804fdde9635a4888a0010a"
},
"x86_64_macos": {
"etag": "0x8DE6D5E9EF12E96",
"checksum": "6e2f179b2f141006f1d7088c355a19bc89ebc4728e6594557da51216dfc37c0f"
},
"x86_64_windows": {
"etag": "0x8DE6D5E9F03699D",
"checksum": "34c63b261be233982a218db9d7aa0e37115dd16ae04ef0aa4e7e36c5a81428a5"
},
"aarch64_linux_musl": {
"etag": "0x8DE6D5E9EF375FC",
"checksum": "86d736a562260361209a0dc191d12018de8d65d2f824a1276c91f2665ba19e5b"
},
"aarch64_macos": {
"etag": "0x8DE6D5E9F6125F3",
"checksum": "d7357c6eeb604d73fc5968fedeccb7d70262cc0316084d2bc77a4b42e985c778"
},
"aarch64_windows": {
"etag": "0x8DE6D5E9EFD7CD3",
"checksum": "ecd8165ea06db0a601283c56294f6e0323af6166acb4b78e3cce36e2b7daa3ee"
}
"version": "0.7.28"
},
"0.7.28": {
"x86_64_linux_musl": {

28
manifests/typos.json generated
View File

@@ -22,35 +22,13 @@
},
"license_markdown": "[MIT](https://github.com/crate-ci/typos/blob/master/LICENSE-MIT) OR [Apache-2.0](https://github.com/crate-ci/typos/blob/master/LICENSE-APACHE)",
"latest": {
"version": "1.43.5"
"version": "1.43.4"
},
"1": {
"version": "1.43.5"
"version": "1.43.4"
},
"1.43": {
"version": "1.43.5"
},
"1.43.5": {
"x86_64_linux_musl": {
"etag": "0x8DE6D7084121470",
"checksum": "7bb0734a80c68a2ef1d4d0e64c46d498a50fbdb0d5efddac44e9804a687fef03"
},
"x86_64_macos": {
"etag": "0x8DE6D70B9E8AC0C",
"checksum": "f675f59c17287923c59b61d63c59092821d32ac35d66bd5ad9c666ad5a702531"
},
"x86_64_windows": {
"etag": "0x8DE6D70B2EBAB10",
"checksum": "33bcd71d132fc97c791581996453f0438d985dcec2a0eeedc1107a450bcb42c8"
},
"aarch64_linux_musl": {
"etag": "0x8DE6D70865D18D7",
"checksum": "15f2d2592312babea0eabb783e6879085f7ab3bd643aacf4d8290dd7c14c07d0"
},
"aarch64_macos": {
"etag": "0x8DE6D70B2B21732",
"checksum": "0c3fbef95090b0cd6d269a0d4a7ff4d665d5bd2b579179c6b856f7617b1ffc70"
}
"version": "1.43.4"
},
"1.43.4": {
"x86_64_linux_musl": {

42
manifests/uv.json generated
View File

@@ -40,48 +40,10 @@
},
"license_markdown": "[Apache-2.0](https://github.com/astral-sh/uv/blob/main/LICENSE-APACHE) OR [MIT](https://github.com/astral-sh/uv/blob/main/LICENSE-MIT)",
"latest": {
"version": "0.10.3"
"version": "0.10.2"
},
"0.10": {
"version": "0.10.3"
},
"0.10.3": {
"x86_64_linux_musl": {
"etag": "0x8DE6D4E9148C9E7",
"checksum": "126496b606129eda426dac502af0d910d895f3db81da28efc49b18edf5557741"
},
"x86_64_macos": {
"etag": "0x8DE6D4E90A1D426",
"checksum": "e8071cedb9986724ca3d70020b4460a85a274394b378c0e8eb1e8f9e33402ff9"
},
"x86_64_windows": {
"etag": "0x8DE6D4E90C0367B",
"checksum": "d029201a3eebaa8a0001fa762ee44ca14a9cb3cae4d59fc3fd69857da03a6f8c"
},
"aarch64_linux_musl": {
"etag": "0x8DE6D4E8E9DE89D",
"checksum": "a98f8decf21204d40acb512b0e08a803ed718c640a97f3c095864967463d5b15"
},
"aarch64_macos": {
"etag": "0x8DE6D4E8DC9FAE3",
"checksum": "ed2a08079527dafae4943fee80162ed750286657901e642eba4c9de928706df8"
},
"aarch64_windows": {
"etag": "0x8DE6D4E8E0230C1",
"checksum": "48243b8acbb31d0081e00878ee3b28535ed9f28ab8b27960b88aed8e1d6dd16a"
},
"powerpc64le_linux_gnu": {
"etag": "0x8DE6D4E901E91E2",
"checksum": "cf4969ba97af3a53d1e4dc8a28441b79e78a8d9a9d41854e88b425f6b6fc6179"
},
"riscv64_linux_gnu": {
"etag": "0x8DE6D4E9032C674",
"checksum": "79b6b362e48c80e5b7d251fb96546d8ee52dd3458e01518cef969f757b59502b"
},
"s390x_linux_gnu": {
"etag": "0x8DE6D4E907723A0",
"checksum": "fc969d6011e4ffd0752abb5d812fc453649a7394c3f08a11556c9960891e359c"
}
"version": "0.10.2"
},
"0.10.2": {
"x86_64_linux_musl": {

View File

@@ -1,16 +0,0 @@
{
"repository": "https://github.com/gungraun/gungraun",
"website": "https://gungraun.github.io/gungraun/",
"license_markdown": "[Apache-2.0](https://github.com/gungraun/gungraun/blob/main/LICENSE-APACHE) OR [MIT](https://github.com/gungraun/gungraun/blob/main/LICENSE-MIT)",
"tag_prefix": "v",
"rust_crate": "${package}",
"asset_name": "${package}-v${version}-${rust_target}.tar.gz",
"bin": "${package}-v${version}-${rust_target}/${package}",
"platform": {
"x86_64_linux_musl": {},
"aarch64_linux_gnu": {},
"powerpc64le_linux_gnu": {},
"riscv64_linux_gnu": {},
"s390x_linux_gnu": {}
}
}

View File

@@ -1,6 +1,6 @@
{
"repository": "https://github.com/iai-callgrind/iai-callgrind",
"website": "https://gungraun.github.io/gungraun/",
"website": "https://iai-callgrind.github.io/iai-callgrind/",
"license_markdown": "[Apache-2.0](https://github.com/iai-callgrind/iai-callgrind/blob/main/LICENSE-APACHE) OR [MIT](https://github.com/iai-callgrind/iai-callgrind/blob/main/LICENSE-MIT)",
"tag_prefix": "v",
"rust_crate": "${package}",